package com.hzya.frame.web.entity;

import com.alibaba.fastjson.JSON;

/**
 * @Content定义全局
 * @Author 👻👻👻👻👻👻👻👻👻👻 gjh
 * @Date 2022-12-06 9:54
 * @Version 1.0
 */
public class BaseResult {

    /**
     * 请求失败
     *
     * @param message 提示信息
     * @return
     */
    public static JsonResultEntity getFailureMessageEntity(String message) {
        return new JsonResultEntity(message, false,"500");
    }
    /**
     * 请求失败
     *
     * @param message 提示信息
     * @return
     */
    public static JsonResultEntity getFailureMessageEntity(String message, Object mo) {
        return new JsonResultEntity(message,false,"500", mo);
    }
    /***
     * @Content:请求失败
     * @Author 👻👻👻👻👻👻👻👻 gjh
     * @Date  2022-12-06 11:00
     * @Param [message, type, status, mo]
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    public static JsonResultEntity getFailureMessageEntity(String message, String status) {
        return new JsonResultEntity(message, false, status);
    }
    /***
     * @Content:请求失败
     * @Author 👻👻👻👻👻👻👻👻 gjh
     * @Date  2022-12-06 11:00
     * @Param [message, type, status, mo]
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    public static JsonResultEntity getFailureMessageEntity(String message, String status,Object mo) {
        return new JsonResultEntity(message, false, status,mo);
    }


    /**
     * 请求成功
     *
     * @param message 提示消息
     * @return
     */
    public static JsonResultEntity getSuccessMessageEntity(String message) {
        return new JsonResultEntity(message,true,"200");
    }
    /**
     * 请求成功
     *
     * @param type    类型
     * @param message 提示消息
     * @param mo      返回对象
     * @return
     */
    public static String getSuccessMessageEntityByStringResult(String message, String type, Object mo) {
        return JSON.toJSONString(new JsonResultEntity(message, true,type, mo));
    }

    /**
     * 请求成功
     *
     * @param message 提示消息
     * @return
     */
    public static String getSuccessMessageEntityByStringResult(String message) {
        return JSON.toJSONString( new JsonResultEntity( message,true));
    }

    /****
     * @Content: 返回失败结果，返回的是字符串格式
     * @Author 👻👻👻👻👻👻👻👻 gjh
     * @Date  2020-11-23 18:41
     * @Param [message, type]
     * @return java.lang.String
     **/
    public static String getFailureMessageEntityByString(String message) {
        return JSON.toJSONString(new JsonResultEntity( message,false));
    }
    /**
     * 请求失败
     *
     * @param type    类型
     * @param message 提示信息
     * @return
     */
    public static String getFailureMessageEntityByString(String message, String type, Object mo) {
        return   JSON.toJSONString(new JsonResultEntity(message,false , type, mo));
    }

    /**
     * 请求成功
     * @return
     */
    public static JsonResultEntity getSuccessMessageEntity(Object obj) {
        return new JsonResultEntity("成功",true,"200" ,obj);
    }
    public static JsonResultEntity getSuccessMessageEntity(String message, Object mo) {
        return new JsonResultEntity(message,true,"200" ,mo);
    }


}
